| Version: 3.2.5

Classes | Macros | Enumerations
bookctrl.h File Reference

## Classes

class | wxBookCtrlBase
| A book control is a convenient way of displaying multiple pages of information, displayed one page at a time. More...
class | wxBookCtrlEvent
| This class represents the events generated by book controls (wxNotebook, wxListbook, wxChoicebook, wxTreebook, wxAuiNotebook). More...

## Macros

#define | wxBK_DEFAULT 0x0000
| wxBookCtrl flags (common for wxNotebook, wxListbook, wxChoicebook, wxTreebook) More...
#define | wxBK_TOP 0x0010
#define | wxBK_BOTTOM 0x0020
#define | wxBK_LEFT 0x0040
#define | wxBK_RIGHT 0x0080
#define | wxBK_ALIGN_MASK (wxBK_TOP | wxBK_BOTTOM | wxBK_LEFT | wxBK_RIGHT)
#define | wxBookCtrl TheBestBookCtrlForTheCurrentPlatform
| wxBookCtrl is defined to one of the 'real' book controls. More...

## Enumerations

enum | { wxBK_HITTEST_NOWHERE = 1 , wxBK_HITTEST_ONICON = 2 , wxBK_HITTEST_ONLABEL = 4 , wxBK_HITTEST_ONITEM = 16 , wxBK_HITTEST_ONPAGE = 8 }
| Bit flags returned by wxBookCtrl::HitTest(). More...

## Macro Definition Documentation

## ◆ wxBK_ALIGN_MASK

#define wxBK_ALIGN_MASK (wxBK_TOP | wxBK_BOTTOM | wxBK_LEFT | wxBK_RIGHT)

## ◆ wxBK_BOTTOM

#define wxBK_BOTTOM 0x0020

## ◆ wxBK_DEFAULT

#define wxBK_DEFAULT 0x0000

wxBookCtrl flags (common for wxNotebook, wxListbook, wxChoicebook, wxTreebook)

## ◆ wxBK_LEFT

#define wxBK_LEFT 0x0040

## ◆ wxBK_RIGHT

#define wxBK_RIGHT 0x0080

## ◆ wxBK_TOP

#define wxBK_TOP 0x0010

## ◆ wxBookCtrl

#define wxBookCtrl TheBestBookCtrlForTheCurrentPlatform

wxBookCtrl is defined to one of the 'real' book controls.

See wxBookCtrl Overview for more info.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Bit flags returned by wxBookCtrl::HitTest().

Only one of wxBK_HITTEST_ONICON, wxBK_HITTEST_ONLABEL, wxBK_HITTEST_ONITEM bits is set if point is over a tab. Notice that wxOSX currently only returns wxBK_HITTEST_ONLABEL or wxBK_HITTEST_NOWHERE and never the other values, so you should only test for these two in the code that should be portable under macOS.

Enumerator
wxBK_HITTEST_NOWHERE | No tab at the specified point.
wxBK_HITTEST_ONICON | The point is over an icon.
wxBK_HITTEST_ONLABEL | The point is over a tab label.
wxBK_HITTEST_ONITEM | The point if over a tab item but not over its icon or label.
wxBK_HITTEST_ONPAGE | The point is over the page area.